@font-face {
  font-family: 'Inter';
  font-style: normal;
  font-weight: 100 900;
  font-optical-sizing: auto;
  src: url('./fonts/Inter-VariableFont_opsz,wght.ttf') format('truetype');
}

@font-face {
  font-family: 'Inter';
  font-style: italic;
  font-weight: 100 900;
  font-optical-sizing: auto;
  src: url('./fonts/Inter-Italic-VariableFont_opsz,wght.ttf') format('truetype');
}

*,
*::before,
*::after {
  box-sizing: border-box;
}

* {
  margin: 0;
  padding: 0;
  font-family: 'Inter';
}

p,
h1,
h2,
h3,
h4,
h5,
h6 {
  overflow-wrap: break-word;
}

#root,
#__next {
  isolation: isolate;
}

:root {
  color-scheme: dark;
}

body[data-theme='dark'] {
}

body[data-theme='light'] {
}

code {
  display: block;
  padding: 10px;
  margin-top: 5px;
  margin-left: 10px;
  white-space: pre;
  font-family: monospace;
  border: 1px solid #dcdcdc;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
  border-radius: 5px;
  height: 650px;
  overflow: auto;
  width: 80%;
}
